POST api/Merchant/v1/GetAccountStatement
Method returns account transactions and balances for payment provider settlement account for given date interval.
Request Information
URI Parameters
None.
Body Parameters
GetAccountStatementRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| paymentProviderId |
Id of payment provider (M) |
globally unique identifier |
None. |
| accountId |
Id of account. If null, all payment provider accounts returned. |
globally unique identifier |
None. |
| startDate |
Start date of transactions returned (M) |
date |
None. |
| endDate |
End date of transactions returned (M) |
date |
None. |
| transactionCount |
Returned max transaction count- If null, all transactions returned |
integer |
None. |
| OrganizationCode | string |
None. |
|
| UserName | string |
None. |
|
| Password | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"paymentProviderId": "76a54a82-8d15-4782-ba09-67a695f93fc1",
"accountId": "00d59658-36c6-4de7-ac7e-233b23c370b3",
"startDate": "2026-05-26T05:57:56.7787431+00:00",
"endDate": "2026-05-26T05:57:56.7787431+00:00",
"transactionCount": 1,
"OrganizationCode": "sample string 4",
"UserName": "sample string 5",
"Password": "sample string 6"
}
application/xml, text/xml
Sample:
<GetAccountStatementRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Merchant"> <OrganizationCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</OrganizationCode> <Password xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 6</Password> <UserName xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 5</UserName> <accountId>00d59658-36c6-4de7-ac7e-233b23c370b3</accountId> <endDate>2026-05-26T05:57:56.7787431+00:00</endDate> <paymentProviderId>76a54a82-8d15-4782-ba09-67a695f93fc1</paymentProviderId> <startDate>2026-05-26T05:57:56.7787431+00:00</startDate> <transactionCount>1</transactionCount> </GetAccountStatementRequest>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
GetAccountStatementReply| Name | Description | Type | Additional information |
|---|---|---|---|
| Reply | AccountStatement |
None. |
|
| Ok | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| ErrorCode | string |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Reply": {
"AccountTransactions": [
{
"Id": "f24e4963-2c19-4bf6-aeb4-e6570120ee5f",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "abea18f6-e8bd-46c5-9d17-bdedd861b2fc",
"PaymentProviderId": "13520798-ed04-4ec6-a650-0515f37f183c",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"BookingDate": "2026-05-26T05:57:56.9662457+00:00",
"ValueDate": "2026-05-26T05:57:56.9662457+00:00",
"PaymentDate": "2026-05-26T05:57:56.9835781+00:00",
"RegistrationTime": "2026-05-26T05:57:56.9835781+00:00",
"ReverseTime": "2026-05-26T05:57:56.9835781+00:00",
"Description": "sample string 12",
"SettlementTransactiontId": "1ef05558-970a-4ec4-8bab-e18e37b5089e",
"PaymentProviderPurchaseNumber": "sample string 13",
"ReferenceNumber": "sample string 14"
},
{
"Id": "f24e4963-2c19-4bf6-aeb4-e6570120ee5f",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "abea18f6-e8bd-46c5-9d17-bdedd861b2fc",
"PaymentProviderId": "13520798-ed04-4ec6-a650-0515f37f183c",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"BookingDate": "2026-05-26T05:57:56.9662457+00:00",
"ValueDate": "2026-05-26T05:57:56.9662457+00:00",
"PaymentDate": "2026-05-26T05:57:56.9835781+00:00",
"RegistrationTime": "2026-05-26T05:57:56.9835781+00:00",
"ReverseTime": "2026-05-26T05:57:56.9835781+00:00",
"Description": "sample string 12",
"SettlementTransactiontId": "1ef05558-970a-4ec4-8bab-e18e37b5089e",
"PaymentProviderPurchaseNumber": "sample string 13",
"ReferenceNumber": "sample string 14"
}
],
"StartBalance": 1.0,
"EndBalance": 2.0,
"StartDate": "2026-05-26T05:57:56.9835781+00:00",
"EndDate": "2026-05-26T05:57:56.9835781+00:00"
},
"Ok": true,
"ErrorMessage": "sample string 2",
"ErrorCode": "sample string 3",
"Message": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountStatementReply xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Merchant">
<ErrorCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</ErrorCode>
<ErrorMessage xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</ErrorMessage>
<Message xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Message>
<Ok xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">true</Ok>
<Reply>
<AccountTransactions>
<AccountTransaction>
<AccountId>abea18f6-e8bd-46c5-9d17-bdedd861b2fc</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-05-26T05:57:56.9662457+00:00</BookingDate>
<CurrencyCode>sample string 6</CurrencyCode>
<Description>sample string 12</Description>
<Id>f24e4963-2c19-4bf6-aeb4-e6570120ee5f</Id>
<PaymentDate>2026-05-26T05:57:56.9835781+00:00</PaymentDate>
<PaymentProviderId>13520798-ed04-4ec6-a650-0515f37f183c</PaymentProviderId>
<PaymentProviderPurchaseNumber>sample string 13</PaymentProviderPurchaseNumber>
<ReferenceNumber>sample string 14</ReferenceNumber>
<RegistrationTime>2026-05-26T05:57:56.9835781+00:00</RegistrationTime>
<ReverseTime>2026-05-26T05:57:56.9835781+00:00</ReverseTime>
<SettlementTransactiontId>1ef05558-970a-4ec4-8bab-e18e37b5089e</SettlementTransactiontId>
<ValueDate>2026-05-26T05:57:56.9662457+00:00</ValueDate>
</AccountTransaction>
<AccountTransaction>
<AccountId>abea18f6-e8bd-46c5-9d17-bdedd861b2fc</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-05-26T05:57:56.9662457+00:00</BookingDate>
<CurrencyCode>sample string 6</CurrencyCode>
<Description>sample string 12</Description>
<Id>f24e4963-2c19-4bf6-aeb4-e6570120ee5f</Id>
<PaymentDate>2026-05-26T05:57:56.9835781+00:00</PaymentDate>
<PaymentProviderId>13520798-ed04-4ec6-a650-0515f37f183c</PaymentProviderId>
<PaymentProviderPurchaseNumber>sample string 13</PaymentProviderPurchaseNumber>
<ReferenceNumber>sample string 14</ReferenceNumber>
<RegistrationTime>2026-05-26T05:57:56.9835781+00:00</RegistrationTime>
<ReverseTime>2026-05-26T05:57:56.9835781+00:00</ReverseTime>
<SettlementTransactiontId>1ef05558-970a-4ec4-8bab-e18e37b5089e</SettlementTransactiontId>
<ValueDate>2026-05-26T05:57:56.9662457+00:00</ValueDate>
</AccountTransaction>
</AccountTransactions>
<EndBalance>2</EndBalance>
<EndDate>2026-05-26T05:57:56.9835781+00:00</EndDate>
<StartBalance>1</StartBalance>
<StartDate>2026-05-26T05:57:56.9835781+00:00</StartDate>
</Reply>
</GetAccountStatementReply>